### Method

# EDataServer SourceProxy set_autoconfig_url

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_set_autoconfig_url (
      ESourceProxy* extension,
      const gchar* autoconfig_url
    )

#### Description [src]

Sets the URL that provides proxy configuration values. When the `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_AUTO`, this URL is used to look up proxy information for all protocols.

Available since: 3.12

Sets property | `EDataServer.SourceProxy:autoconfig-url`

#### Parameters

`autoconfig_url`

  Type: `const gchar*`

  An autoconfiguration URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.